WaveCart 5.1 Lite

Features:



Requirements:

Recommended System While WaveCart 5.1 will run on virtually any computer from a Core 2 Duo 1.8Ghz processor or above, and a decent sound card with MME/WAVE driver (for Windows XP) or WDM driver (for Windows 7 or above), we strongly suggest the following specification for trouble-free and reliable performance.